Schedule
curl --request POST \
--url https://app.magna.so/api/external/v1/allocations/{id}/schedule \
--header 'Content-Type: application/json' \
--header 'x-magna-api-token: <api-key>' \
--data '
{
"types": [],
"cursor": "<string>",
"limit": 99
}
'import requests
url = "https://app.magna.so/api/external/v1/allocations/{id}/schedule"
payload = {
"types": [],
"cursor": "<string>",
"limit": 99
}
headers = {
"x-magna-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-magna-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({types: [], cursor: '<string>', limit: 99})
};
fetch('https://app.magna.so/api/external/v1/allocations/{id}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isProcessed": true,
"result": {
"items": [
{
"timestamp": "2024-01-01T00:00:00.000Z",
"releasable": 4500,
"unlocked": 4500
},
{
"timestamp": "2024-01-02T00:00:00.000Z",
"releasable": 200
},
{
"timestamp": "2024-01-03T00:00:00.000Z",
"vested": 500
}
],
"cursor": "2024-10-11T20:14:52.000Z",
"total": 18
}
}Allocations
Schedule
Retrieve an allocation’s paginated unlock, vesting, and releasable schedule amounts.
POST
/
api
/
external
/
v1
/
allocations
/
{id}
/
schedule
Schedule
Authorizations
Path Parameters
Minimum string length:
1Body
application/json
⌘I